package utils

import "strconv"

// AtoiBySlice 将[]string转化为[]int的方法
// 如果[]string中元素存在不能转化为int的情况将返回错误
func AtoiBySlice(src []string) ([]int, error) {
	var rst []int
	for _, v := range src {
		s, err := strconv.Atoi(v)
		if err == nil {
			rst = append(rst, s)
		} else {
			return nil, err
		}
	}

	return rst, nil
}

// JoinItoString 解决strings.Join不支持[]int的方法
func JoinItoString(src []int, sep string) string {
	rst := ""
	for _, v := range src {
		if len(rst) == 0 {
			rst += strconv.Itoa(v)
		} else {
			rst += sep + strconv.Itoa(v)
		}
	}

	return rst
}
